From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-sgml-utils/
Date: Sat, 14 May 2022 01:01:23 +0000 (UTC) [thread overview]
Message-ID: <1652490072.90a21e1c470f60aa5ad8b9c4dad98dc0724644ca.sam@gentoo> (raw)
commit: 90a21e1c470f60aa5ad8b9c4dad98dc0724644ca
Author: Alarig Le Lay <alarig <AT> swordarmor <DOT> fr>
AuthorDate: Sat Apr 11 17:09:35 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 14 01:01:12 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90a21e1c
app-text/docbook-sgml-utils: Adding dependencies
Adding app-text/xhtml1 for /usr/share/sgml/xhtml1/xhtml.soc
Precising app-text/docbook-xml-dtd:4.2 for
/usr/share/sgml/docbook/xml-dtd-4.2/docbook.cat
Closes: https://bugs.gentoo.org/703634
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alarig Le Lay <alarig <AT> swordarmor.fr>
Closes: https://github.com/gentoo/gentoo/pull/15309
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../docbook-sgml-utils-0.6.14-r5.ebuild | 71 ++++++++++++++++++++++
1 file changed, 71 insertions(+)
diff --git a/app-text/docbook-sgml-utils/docbook-sgml-utils-0.6.14-r5.ebuild b/app-text/docbook-sgml-utils/docbook-sgml-utils-0.6.14-r5.ebuild
new file mode 100644
index 000000000000..5d08d5506f49
--- /dev/null
+++ b/app-text/docbook-sgml-utils/docbook-sgml-utils-0.6.14-r5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools prefix
+
+MY_P=${PN/-sgml/}-${PV}
+DESCRIPTION="Shell scripts to manage DocBook documents"
+HOMEPAGE="https://sourceware.org/docbook-tools/"
+SRC_URI="https://sourceware.org/pub/docbook-tools/new-trials/SOURCES/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~m68k ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="jadetex"
+
+DEPEND=">=dev-lang/perl-5
+ app-text/docbook-dsssl-stylesheets
+ app-text/docbook-xml-dtd:4.2
+ app-text/openjade
+ app-text/xhtml1
+ dev-perl/SGMLSpm
+ ~app-text/docbook-sgml-dtd-3.0
+ ~app-text/docbook-sgml-dtd-3.1
+ ~app-text/docbook-sgml-dtd-4.0
+ ~app-text/docbook-sgml-dtd-4.1
+ ~app-text/docbook-sgml-dtd-4.2
+ ~app-text/docbook-sgml-dtd-4.4
+ ~app-text/docbook-xml-simple-dtd-1.0
+ ~app-text/docbook-xml-simple-dtd-4.1.2.4
+ sys-apps/which
+ jadetex? ( dev-texlive/texlive-formatsextra )
+ || (
+ www-client/lynx
+ www-client/links
+ www-client/elinks
+ virtual/w3m
+ )"
+RDEPEND="${DEPEND}"
+
+# including both xml-simple-dtd 4.1.2.4 and 1.0, to ease
+# transition to simple-dtd 1.0, <obz@gentoo.org>
+
+src_prepare() {
+ default
+ eapply "${FILESDIR}"/${MY_P}-elinks.patch
+ eapply "${FILESDIR}"/${P}-grep-2.7.patch
+ if use prefix; then
+ eapply "${FILESDIR}"/${MY_P}-prefix.patch
+ eprefixify doc/{man,HTML}/Makefile.am bin/jw.in backends/txt configure.in
+ eautoreconf
+ fi
+}
+
+src_install() {
+ make DESTDIR="${D}" \
+ htmldir="${EPREFIX}/usr/share/doc/${PF}/html" \
+ install
+
+ if ! use jadetex; then
+ local i
+ for i in dvi pdf ps; do
+ rm "${ED}"/usr/bin/docbook2${i} || die
+ rm "${ED}"/usr/share/sgml/docbook/utils-${PV}/backends/${i} || die
+ rm "${ED}"/usr/share/man/man1/docbook2${i}.1 || die
+ done
+ fi
+ einstalldocs
+}
next reply other threads:[~2022-05-14 1:01 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-14 1:01 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-17 12:46 [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-sgml-utils/ Michał Górny
2024-04-17 5:37 Arthur Zamarin
2024-03-23 13:39 Sam James
2024-03-23 11:53 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-23 10:45 Michał Górny
2024-03-23 10:41 Michał Górny
2024-03-23 10:41 Michał Górny
2022-08-27 10:11 WANG Xuerui
2022-08-24 5:18 Sam James
2022-07-30 11:19 Michał Górny
2022-07-30 9:51 Arthur Zamarin
2022-07-26 15:19 Agostino Sarubbo
2022-07-26 15:18 Agostino Sarubbo
2022-07-26 4:46 Sam James
2022-07-26 2:05 Sam James
2022-07-26 1:36 Sam James
2022-07-26 1:36 Sam James
2022-06-09 2:43 Sam James
2022-05-16 2:29 Sam James
2022-05-15 3:48 Sam James
2022-05-14 9:21 Jakov Smolić
2022-05-14 9:18 Jakov Smolić
2022-05-14 8:10 Arthur Zamarin
2022-01-06 9:07 David Seifert
2021-07-26 8:07 Yixun Lan
2020-09-14 3:20 Michał Górny
2020-07-24 20:29 Mikle Kolyada
2019-11-08 21:13 Michał Górny
2019-11-08 21:13 Michał Górny
2019-10-16 20:46 Sergei Trofimovich
2019-10-16 12:42 Aaron Bauman
2019-10-14 11:31 Agostino Sarubbo
2019-10-14 11:25 Agostino Sarubbo
2019-10-14 11:07 Agostino Sarubbo
2019-10-12 8:55 Mikle Kolyada
2019-10-12 8:55 Mikle Kolyada
2019-10-12 8:55 Mikle Kolyada
2019-09-11 17:58 Michał Górny
2019-09-11 17:58 Michał Górny
2018-03-11 11:25 Mikle Kolyada
2018-03-11 11:23 Mikle Kolyada
2018-03-05 13:57 Tobias Klausmann
2018-02-19 8:07 Sergei Trofimovich
2018-02-17 20:46 Sergei Trofimovich
2018-02-15 13:58 Jason Zaman
2018-02-14 23:51 Andreas Hüttel
2018-01-11 21:48 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1652490072.90a21e1c470f60aa5ad8b9c4dad98dc0724644ca.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox